package com.ejie.ab79.model.preguntasRespuestas;

import java.util.Date;
import java.util.List;

public class PreguntasProtocolo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPreguntaProtocolo;
	private Integer idTipoPregunta;
	private Integer idPreguntaPadre;
	private Integer orden;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	private String identDatoEstablecimiento;
	private List<OpcionesPrePro> opcionesPrePro;
	private TiposPreguntas tipoPregunta;
	private Integer idProtocolo;
	private Integer idRelProPre;
	private String opciones;
	private String opcionesEs;
	private String opcionesEu;
	private Integer numeroRespuestas;
	private Integer preguntaValidar;
	
	private RelProPre relProPre;

	/**
	 * Method 'PreguntasProtocolo'.
	 */
	public PreguntasProtocolo() {
	}

	/**
	 * Method 'PreguntasProtocolo'.
	 * 
	 * @param idPreguntaProtocolo
	 *            Integer
	 */
	public PreguntasProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}

	/**
	 * Method 'PreguntasProtocolo'.
	 * 
	 * @param idPreguntaProtocolo
	 *            Integer
	 * @param idProtocolo
	 *            Integer
	 * @param idTipoPregunta
	 *            Integer
	 * @param idPreguntaPadre
	 *            Integer
	 * @param orden
	 *            Integer
	 * @param descripcionCastellano
	 *            String
	 * @param descripcionEuskera
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 */
	public PreguntasProtocolo(Integer idPreguntaProtocolo, Integer idTipoPregunta, Integer idPreguntaPadre,
			Integer orden, String descripcionCastellano, String descripcionEuskera, Date fechaRegistro,
			String usuarioRegistro) {

		this.idPreguntaProtocolo = idPreguntaProtocolo;
		this.idTipoPregunta = idTipoPregunta;
		this.idPreguntaPadre = idPreguntaPadre;
		this.orden = orden;
		this.descripcionCastellano = descripcionCastellano;
		this.descripcionEuskera = descripcionEuskera;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getIdPreguntaProtocolo'.
	 * 
	 * @return Integer
	 */

	public Integer getIdPreguntaProtocolo() {
		return idPreguntaProtocolo;
	}

	/**
	 * Method 'setIdPreguntaProtocolo'.
	 * 
	 * @param idPreguntaProtocolo
	 */

	public void setIdPreguntaProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}

	/**
	 * Method 'getIdTipoPregunta'.
	 * 
	 * @return Integer
	 */

	public Integer getIdTipoPregunta() {
		return idTipoPregunta;
	}

	/**
	 * Method 'setIdTipoPregunta'.
	 * 
	 * @param idTipoPregunta
	 */

	public void setIdTipoPregunta(Integer idTipoPregunta) {
		this.idTipoPregunta = idTipoPregunta;
	}

	public String getIdentDatoEstablecimiento() {
		return identDatoEstablecimiento;
	}

	public void setIdentDatoEstablecimiento(String identDatoEstablecimiento) {
		this.identDatoEstablecimiento = identDatoEstablecimiento;
	}

	/**
	 * Method 'getIdPreguntaPadre'.
	 * 
	 * @return Integer
	 */

	public Integer getIdPreguntaPadre() {
		return idPreguntaPadre;
	}

	/**
	 * Method 'setIdPreguntaPadre'.
	 * 
	 * @param idPreguntaPadre
	 */

	public void setIdPreguntaPadre(Integer idPreguntaPadre) {
		this.idPreguntaPadre = idPreguntaPadre;
	}

	/**
	 * Method 'getOrden'.
	 * 
	 * @return Integer
	 */

	public Integer getOrden() {
		return orden;
	}

	/**
	 * Method 'setOrden'.
	 * 
	 * @param orden
	 */

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	/**
	 * Method 'getDescripcionCastellano'.
	 * 
	 * @return String
	 */

	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}

	/**
	 * Method 'setDescripcionCastellano'.
	 * 
	 * @param descripcionCastellano
	 */

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * Method 'getDescripcionEuskera'.
	 * 
	 * @return String
	 */

	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}

	/**
	 * Method 'setDescripcionEuskera'.
	 * 
	 * @param descripcionEuskera
	 */

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * Method 'getFechaRegistro'.
	 * 
	 * @return Date
	 */

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 * 
	 * @param fechaRegistro
	 */

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 * 
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 * 
	 * @param usuarioRegistro
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getOpcionesPrePro'.
	 * 
	 * @return List<OpcionesPrePro>
	 */

	public List<OpcionesPrePro> getOpcionesPrePro() {
		return opcionesPrePro;
	}

	/**
	 * Method 'setOpcionesPrePro'.
	 * 
	 * @param opcionesPrePro
	 */

	public void setOpcionesPrePro(List<OpcionesPrePro> opcionesPrePro) {
		this.opcionesPrePro = opcionesPrePro;
	}
	
	/**
	 * Method 'getTipoPregunta'
	 * 
	 * @return TiposPreguntas
	 */
	
	public TiposPreguntas getTipoPregunta() {
		return tipoPregunta;
	}
	
	/**
	 * Method 'setTipoPregunta'
	 * 
	 * @param tipoPregunta
	 */
	
	public void setTipoPregunta(TiposPreguntas tipoPregunta) {
		this.tipoPregunta = tipoPregunta;
	}

	public Integer getIdProtocolo() {
		return idProtocolo;
	}

	public void setIdProtocolo(Integer idProtocolo) {
		this.idProtocolo = idProtocolo;
	}

	public Integer getIdRelProPre() {
		return idRelProPre;
	}

	public void setIdRelProPre(Integer idRelProPre) {
		this.idRelProPre = idRelProPre;
	}

	public String getOpciones() {
		return opciones;
	}

	public void setOpciones(String opciones) {
		this.opciones = opciones;
	}

	public String getOpcionesEs() {
		return opcionesEs;
	}

	public void setOpcionesEs(String opcionesEs) {
		this.opcionesEs = opcionesEs;
	}

	public String getOpcionesEu() {
		return opcionesEu;
	}

	public void setOpcionesEu(String opcionesEu) {
		this.opcionesEu = opcionesEu;
	}

	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public Integer getNumeroRespuestas() {
		return numeroRespuestas;
	}

	public void setNumeroRespuestas(Integer numeroRespuestas) {
		this.numeroRespuestas = numeroRespuestas;
	}
	
	public Integer getPreguntaValidar() {
		return preguntaValidar;
	}
	
	public void setPreguntaValidar(Integer preguntaValidar){
		this.preguntaValidar = preguntaValidar;
	}

	public RelProPre getRelProPre() {
		return relProPre;
	}

	public void setRelProPre(RelProPre relProPre) {
		this.relProPre = relProPre;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append("  [ idPreguntaProtocolo: ").append(this.idPreguntaProtocolo).append(" ]");
		result.append(", [ idTipoPregunta: ").append(this.idTipoPregunta).append(" ]");
		result.append(", [ idPreguntaPadre: ").append(this.idPreguntaPadre).append(" ]");
		result.append(", [ orden: ").append(this.orden).append(" ]");
		result.append(", [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(", [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
